Loading...
Searching...
No Matches
Opm::BlackoilWellModelRestart< Scalar, IndexTraits > Class Template Reference

Class for restarting the blackoil well model. More...

`#include <BlackoilWellModelRestart.hpp>`

## Public Member Functions

| BlackoilWellModelRestart (const BlackoilWellModelGeneric< Scalar, IndexTraits > &wellModel)
| Constructor initializes reference to the well model.
void | loadRestartGuideRates (const int report_step, const GuideRateModel::Target target, const data::Wells &rst_wells, GuideRate &guide_rate) const
| Loads guide rates from restart structures.
void | loadRestartGuideRates (const int report_step, const GuideRateConfig &config, const std::map< std::string, data::GroupData > &rst_groups, GuideRate &guide_rate) const
| Loads guide rates from restart structures.
void | loadRestartData (const data::Wells &rst_wells, const data::GroupAndNetworkValues &grpNwrkValues, const bool handle_ms_well, WellState< Scalar, IndexTraits > &well_state, GroupState< Scalar > &grpState) const
| Loads well data from restart structures.

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::BlackoilWellModelRestart< Scalar, IndexTraits >

Class for restarting the blackoil well model.

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelRestart.hpp
- opm/simulators/wells/BlackoilWellModelRestart.cpp